---
agentTools:
  projectIndex: https://docs.cancergenomicscloud.org/llms.txt
---

# Get info about a DRS object

This call will return the details of a DRS object.

[block:code]
{
  "codes": [
    {
      "code": "https://cgc-ga4gh-api.sbgenomics.com/ga4gh/drs/v1/objects/{object_id}",
      "language": "text",
      "name": "Path"
    }
  ]
}
[/block]

\##Request

\###Example request

[block:code]
{
  "codes": [
    {
      "code": "GET ga4gh/drs/v1/objects/4c33ae65e4b08832ce3d94e9c HTTP/1.1\nHost: cgc-ga4gh-api.sbgenomics.com\nX-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74",
      "language": "http",
      "name": null
    },
    {
      "code": "GET /ga4gh/drs/v1/objects/4c33ae65e4b08832ce3d94e9c HTTP/1.1\nHost: cgc-ga4gh-api.sbgenomics.com\nX-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74",
      "language": "curl",
      "name": "cURL"
    }
  ],
  "sidebar": true
}
[/block]

\###Header Fields

[block:parameters]
{
  "data": {
    "h-0": "Key",
    "h-1": "Description of value",
    "0-0": "`X-SBG-Auth-Token`\n_required_",
    "0-1": "Your CGC [authentication token](https://docs.cancergenomicscloud.org/docs/get-your-authentication-token).",
    "h-2": ""
  },
  "cols": 2,
  "rows": 1
}
[/block]

\###Path parameters

[block:parameters]
{
  "data": {
    "h-0": "Key",
    "h-1": "Description of value",
    "h-2": "Description of value",
    "0-0": "`object_id`",
    "0-1": "The ID of the DRS object i.e. file in your project.",
    "0-2": "If true and a file exists in the given location on the volume (respecting volume prefix if given), the API will attempt to delete the existing file on the volume before exporting.\n\n_default_: `false`"
  },
  "cols": 2,
  "rows": 1
}
[/block]

\##Response

[See a list of CGC-specific response codes that may be contained in the body of the response](https://docs.cancergenomicscloud.org/docs/api-status-codes).

\###Response body

The response object contains information about the DRS object. The information is structured using the following key-value pairs:

[block:parameters]
{
  "data": {
    "h-0": "Key",
    "h-1": "Data type of value",
    "h-2": "Description of value",
    "0-0": "`id`",
    "0-1": "String",
    "1-1": "String",
    "1-0": "`name`",
    "2-0": "`size`",
    "2-1": "String",
    "4-0": "`self_uri`",
    "4-1": "String",
    "7-0": "`mime_type`",
    "7-1": "String",
    "8-0": "`access_methods`",
    "8-1": "",
    "0-2": "ID of the DRS object.",
    "1-2": "The name of the DRS object.",
    "2-2": "The size of the file.",
    "4-2": "A drs:// URI, as defined in the DRS documentation, that tells clients how to access this object. The intent of this field is to make DRS objects self-contained, and therefore easier for clients to store and pass around.",
    "7-2": "Information about the file type.",
    "8-2": "This dictionary contains these fields:\n\n`type` - Type of the access method.\n`region` - Name of the region in the cloud service provider that the object belongs to.\n`access_id` - An arbitrary string to be passed to the /access method to get an AccessURL.",
    "5-0": "`created_time`",
    "5-1": "String",
    "3-0": "`checksums`",
    "3-1": "Dictionary",
    "6-0": "`updated_time`",
    "6-1": "String",
    "3-2": "This dictionary contains two fields:\n* type\n* checksum",
    "6-2": "The time and date the object was last updated.",
    "5-2": "The time and date the object was originally created."
  },
  "cols": 3,
  "rows": 9
}
[/block]

\###Example response body

[block:code]
{
  "codes": [
    {
      "code": "{\n    \"id\": \"4c33ae65e4b08832ce3d94e9c\",\n    \"name\": \"7ee5a028a6bc010aec200b57ac_file.bam\",\n    \"size\": 11305017366,\n    \"checksums\": [\n        {\n            \"type\": \"etag\",\n            \"checksum\": \"4c555f6c235dd75fa4086bb94dccb-43\"\n        }\n    ],\n    \"self_uri\": \"drs://cgc-ga4gh-api.sbgenomics.com/4c33ae65e4b08832ce3d94e9c\",\n    \"created_time\": \"2018-12-27T13:01:21Z\",\n    \"updated_time\": \"2018-12-27T13:01:21Z\",\n    \"mime_type\": \"application/json\",\n    \"access_methods\": [\n        {\n            \"type\": \"s3\",\n            \"region\": \"us-east-1\",\n            \"access_id\": \"aws-us-east-1\"\n        }\n    ]\n}",
      "language": "json",
      "name": "Example response body"
    }
  ],
  "sidebar": true
}
[/block]